Skip to main content
Nowledge MemNowledge Mem

Get Search Index Status

GET
/search-index/status

Get status of the search index (LanceDB + hybrid search).

The embedding model is platform-specific:

  • macOS Apple Silicon: Qwen3-Embedding via mlx-embeddings
  • non-Apple-Silicon (Windows/Linux/macOS Intel): BGE-M3 via FastEmbed/ONNX

This endpoint checks:

  • Whether the active search embedding backend is available
  • Whether the search index service is initialized

Response Body

application/json

curl -X GET "https://example.com/search-index/status"
{  "available": true,  "embedding_mode": "local",  "message": "string",  "model_cached": true,  "model_name": "",  "remote_model": "string",  "remote_provider": "string",  "process_runtime": {    "state": "ready",    "mode": "remote",    "model_identity": "string",    "configuration_state": "matches"  }}